---
title: Button
icon: square-mouse-pointer
---

Buttons link to other pages or external URLs. Use them for calls-to-action.

<CtaButton label="Visit Archbee" externalHref="https://archbee.com" openInNewTab="true"/>

<CtaButton label="Go to Archbee Docs" externalHref="https://www.archbee.com/docs" openInNewTab="true"/>

## Syntax

<CodeblockTabs>

MDX

```html
<CtaButton label="Click Me" externalHref="https://example.com" openInNewTab="true"/>
```

Markdown

```markdown
:::::CtaButton{label="Click Me" externalHref="https://example.com" openInNewTab="true"}
:::::
```

</CodeblockTabs>
